import request from '@/utils/request'
export function getMonthlyPaymentList(param) {
  return request({
    url: '/financial/getMonthlyPaymentList',
    method: 'post',
    data: param
  })
}

export function getReviewersPaymentDetailList(param) {
  return request({
    url: '/financial/getReviewersMonthlyPaymentDetail',
    method: 'post',
    data: param
  })
}

export function getMonthlyPaymentDetailList(paymentId, doctorId, yearMonth) {
  return request({
    url: `/financial/getMonthlyPaymentDetailList/${paymentId}/${doctorId}/${yearMonth}`,
    method: 'post'
  })
}

export function getMonthlyPayroll(reviewerIds) {
  return request({
    url: `/financial/getLaborPaymentList`,
    method: 'post',
    data: reviewerIds
  })
}

export function lockMonthlyPayment(param) {
  return request({
    url: '/financial/lockMonthlyPayment',
    method: 'post',
    data: param
  })
}

export function calculateMonthlyPayment(param) {
  return request({
    url: '/financial/calculateMonthlyPayment',
    method: 'post',
    data: param
  })
}

export function getRankPriceList(param) {
  return request({
    url: '/rankPrice/getRankPriceList',
    method: 'post',
    data: param
  })
}

export function addOrUpdateRankPrice(param) {
  return request({
    url: '/rankPrice/addOrUpdateRankPrice',
    method: 'post',
    data: param
  })
}

export function deleteRankPrice(id) {
  return request({
    url: `/rankPrice/deleteRankPrice/${id}`,
    method: 'delete'
  })
}

export function getvolumeRewardPriceList(param) {
  return request({
    url: '/volumeReward/getvolumeRewardPriceList',
    method: 'post',
    data: param
  })
}
// data: {awardPriceList:param}
export function addOrUpdatevolumeRewardPriceList(param) {
  return request({
    url: '/volumeReward/addOrUpdatevolumeRewardPriceList',
    method: 'post',
    data: param
  })
}

export function getReviewerPayInfoList(param) {
  return request({
    url: '/reviewerPayInfo/getReviewerPayInfoList',
    method: 'post',
    data: param
  })
}

export function getRankDic() {
  return request({
    url: '/rankPrice/getRankDic',
    method: 'get'
  })
}

export function addOrUpdateReviewerPayInfo(param) {
  return request({
    url: '/reviewerPayInfo/addOrUpdateReviewerPayInfo',
    method: 'post',
    data: param
  })
}

export function getTrialPaymentPriceList(param) {
  return request({
    url: '/trialPaymentPrice/getTrialPaymentPriceList',
    method: 'post',
    data: param
  })
}

export function uploadTrialSOW(param) {
  return request({
    url: '/trialPaymentPrice/uploadTrialSOW',
    method: 'post',
    data: param
  })
}

export function deleteTrialSOW(param) {
  return request({
    url: '/trialPaymentPrice/deleteTrialSOW',
    method: 'post',
    data: param
  })
}

export function addOrUpdateTrialPaymentPrice(param) {
  return request({
    url: '/trialPaymentPrice/addOrUpdateTrialPaymentPrice',
    method: 'post',
    data: param
  })
}

export function getRateList(param) {
  return request({
    url: '/exchangeRate/getExchangeRateList',
    method: 'post',
    data: param
  })
}

export function addOrUpdateExchangeRate(param) {
  return request({
    url: '/exchangeRate/addOrUpdateExchangeRate',
    method: 'post',
    data: param
  })
}

export function deleteExchangeRate(id) {
  return request({
    url: `/exchangeRate/deleteExchangeRate/${id}`,
    method: 'delete'
  })
}

export function getPaymentAdjustmentList(param) {
  return request({
    url: '/paymentAdjustment/getPaymentAdjustmentList',
    method: 'post',
    data: param
  })
}

export function addOrUpdatePaymentAdjustment(param) {
  return request({
    url: '/paymentAdjustment/addOrUpdatePaymentAdjustment',
    method: 'post',
    data: param
  })
}

export function deletePaymentAdjustment(id) {
  return request({
    url: `/paymentAdjustment/deletePaymentAdjustment/${id}`,
    method: 'delete'
  })
}

export function getReviewerSelectList() {
  return request({
    url: '/paymentAdjustment/getReviewerSelectList',
    method: 'get'
  })
}

export function getPaymentHistoryList(param) {
  return request({
    url: '/financial/getPaymentHistoryList',
    method: 'post',
    data: param
  })
}

export function getPaymentHistoryDetailList(param) {
  return request({
    url: '/financial/getPaymentHistoryDetailList',
    method: 'post',
    data: param
  })
}

export function getRevenuesStatistics(param) {
  return request({
    url: '/financial/getRevenuesStatistics',
    method: 'post',
    data: param
  })
}

export function getTrialRevenuesPriceList(param) {
  return request({
    url: '/trialRevenuesPrice/getTrialRevenuesPriceList',
    method: 'post',
    data: param
  })
}

export function addOrUpdateTrialRevenuesPrice(param) {
  return request({
    url: '/trialRevenuesPrice/addOrUpdateTrialRevenuesPrice',
    method: 'post',
    data: param
  })
}

export function getReviewerAnalysisList(param) {
  return request({
    url: '/financial/getReviewerAnalysisList',
    method: 'post',
    data: param
  })
}

export function getTrialAnalysisList(param) {
  return request({
    url: '/financial/getTrialAnalysisList',
    method: 'post',
    data: param
  })
}

export function getRevenuesVerifyList(param) {
  return request({
    url: '/trialRevenuesPriceVerification/getRevenuesVerifyList',
    method: 'post',
    data: param
  })
}

export function getAnalysisVerifyList(param) {
  return request({
    url: '/trialRevenuesPriceVerification/getAnalysisVerifyList',
    method: 'post',
    data: param
  })
}

export function addOrUpdateEnroll(param) {
  return request({
    url: '/Enroll/addOrUpdateEnroll',
    method: 'post',
    data: param
  })
}

export function getTrialDoctorList(param) {
  return request({
    url: '/Enroll/getTrialDoctorList',
    method: 'post',
    data: param
  })
}
